Subject: Re: bug#68050: 29.1; Pixel scroll doesn't work on platforms that do not expose device-class.

From: Jared Finder <[email-masked]>
Date: Wed, 27 Dec 2023 17:13:33 -0800

On 2023-12-26 18:03, Po Lu wrote:
> Jared Finder <[email-masked]> writes:
> 
>> I'm a bit confused by the "this isn't necessary" response.  What
>> should I be doing on Mac or on Windows, where Emacs doesn't
>> distinguish between touchpads and mice currently?  Is there a fix in
>> the works for these OSes?
> 
> As I said, set pixel-scroll-precision-large-scroll-height to a value
> such that events sent by mice are classified as such and interpolated,
> or 0, which will direct Emacs to apply interpolation to all scroll
> events.

Thank you so much! This works as a replacement of my original patch.

   -- MJF